%define rhugversion 20030728
%define rhugsource1 %{name}-%{version}-src upstream

Summary: Jakarta Commons Modeler Component
Name: commons-modeler
Version: 1.0
Release: 5.XOS.1
URL: http://jakarta.apache.org/commons/modeler.html
Source: rhug-%{name}-%{rhugversion}.tar.bz2
Source1: %{name}-%{version}-src.tar.gz
Patch1: %{name}-1.0-release.patch
Patch2: %{name}-1.0-buildclasspath.patch
Patch3: %{name}-1.0-hammer.patch
License: Apache Software License
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gcc-c++-ssa
BuildPrereq: gcc-java-ssa >= 3.5ssa-0.20030801.34
BuildPrereq: mx4j >= 1.1.1-5
BuildPrereq: commons-logging >= 1.0.2-12
BuildPrereq: commons-digester >= 1.4.1-10
Prereq: redhat-java-rpm-scripts >= 1.0.2-2
Requires: libgcj-ssa >= 3.5ssa-0.20030801.34
Requires: mx4j >= 1.1.1-5
Requires: commons-logging >= 1.0.2-12
Requires: commons-digester >= 1.4.1-10
ExclusiveArch: i386 x86_64 ppc ia64

%description
The Jakarta Commons Modeler component is designed to simplify the
process of creating Model MBeans -- the required metadata is
configured from an XML description of each Model MBean to be
supported. In addition, Modeler provides a factory mechanism to create
the actual Model MBean instances themselves.

%package devel
Summary: CNI headers for developing Commons Modeler applications
Group: Development/Libraries
Requires: commons-modeler = %{version}-%{release}

%description devel
The commons-modeler-devel package contains the headers required to
develop Cygnus Native Interface (CNI) extensions that use the Jakarta
Commons Modeler Component.

%prep
%setup -q -a 1
mv %{rhugsource1}
%patch1 -p0 -b .release
%patch2 -p0 -b .buildclasspath
%patch3 -p0 -b .hammer
mv ChangeLog ChangeLog.rhug

%build
CC=gcc-ssa CXX=g++-ssa GCJ=gcj-ssa GCJH=gcjh-ssa \
./configure --disable-static --prefix=%{_prefix}
make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall
rm -f ${RPM_BUILD_ROOT}%{_libdir}/*.la
rm -f ${RPM_BUILD_ROOT}%{_libdir}/lib-org-apache-commons-modeler.so

%post
%{_sbindir}/javaconfig \
    %{_libdir}/lib-org-apache-commons-modeler.so \
    %{_datadir}/java/commons-modeler.jar

%postun
%{_sbindir}/javaconfig \
    %{_libdir}/lib-org-apache-commons-modeler.so \
    %{_datadir}/java/commons-modeler.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.rhug upstream/*.{txt,html}
%{_libdir}/lib*.so
%{_datadir}/java/*.jar

%files devel
%defattr(-,root,root)
%{_includedir}/org/apache/commons/modeler

%changelog
* Fri Aug 20 2004 X/OS Linux Team <xoslinux@xos.nl> 1.0-5.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on commons-modeler-1.0-5.src.rpm
  (md5sum of original source rpm: a3713702e60e89df411364f64d30c29d).

* Fri Sep  5 2003 Gary Benson <gbenson@redhat.com> 1.0-5
- Ensure we have a working javaconfig.

* Fri Aug 15 2003 Gary Benson <gbenson@redhat.com> 1.0-4
- Rebuild with new compiler.

* Wed Aug 13 2003 Gary Benson <gbenson@redhat.com> 1.0-3
- Rebuild with new compiler.

* Mon Jul 28 2003 Gary Benson <gbenson@redhat.com> 1.0-2
- Add missing resources to jarfile (#100977).

* Fri Jul 25 2003 Gary Benson <gbenson@redhat.com>
- Clarify the -devel subpackage's summary and description.
- Remove unnecessary -devel build-time dependencies (#99077).

* Tue Jul  1 2003 Gary Benson <gbenson@redhat.com> 1.0-1
- Initial Red Hat Linux build.

* Mon Jun 30 2003 Gary Benson <gbenson@redhat.com>
- Initial RHUG build.
